MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026574Community[OCCT] OCCT:Data Exchangepublic2015-08-19 19:142015-10-23 20:50
ReporterRoman Lygin 
Assigned Toski 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.9.0 
Target Version[OCCT] 6.9.1Fixed in Version[OCCT] 6.9.1 
Summary0026574: Remove redundant dependence of TKIGES on TKOffset
DescriptionTKIGES is linked to TKOffset although it does not have to - it does not use any algorithm therefrom. Apparently the dependency is just an obsolete legacy.
Steps To ReproduceUse any relevant tool, such as Dependency Walker on Windows or ldd on Linux to verify dependency of TKIGES.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0044450)
git (administrator)
2015-08-19 19:25

Branch CR26574 has been created by Roman Lygin.

SHA-1: bc6bbd6eb15c628e2f9648ce1511a1da885fd41a


Detailed log of new commits:

Author: Roman Lygin
Date: Wed Aug 19 19:24:43 2015 +0400

    0026574: Remove redundant dependence of TKIGES on TKOffset
(0044455)
gka (developer)
2015-08-20 10:32

Branch CR26574 is ready to be tested
(0044519)
mkv (tester)
2015-08-21 19:31

Dear BugMaster,
Branch CR26574 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: bc6bbd6eb15c628e2f9648ce1511a1da885fd41a

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)

products component :
Linux: 39 (39 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 91309396 / 90752762 [+0.61%]
Total CPU difference: 17569.629999999146 / 17774.429999998963 [-1.15%]
products component :
Total MEMORY difference: 24834222 / 24839015 [-0.02%]
Total CPU difference: 6925.029999999996 / 6874.220000000016 [+0.74%]

Testing on Windows:
occt component :
Total MEMORY difference: 56863048 / 56855802 [+0.01%]
Total CPU difference: 16399.917126999266 / 16438.3401732993 [-0.23%]
products component :
Total MEMORY difference: 16017843 / 16017814 [+0.00%]
Total CPU difference: 5271.336190399968 / 5265.439352599951 [+0.11%]

There are no differences in images found by testdiff.
(0046992)
git (administrator)
2015-10-16 16:37

Branch CR26574 has been deleted by kgv.

SHA-1: bc6bbd6eb15c628e2f9648ce1511a1da885fd41a

- Related Changesets
occt: master 43d16da3
Timestamp: 2015-08-19 15:24:43
Author: Roman Lygin
Committer: ski
Details ] Diff ]
0026574: Remove redundant dependence of TKIGES on TKOffset
mod - src/IGESToBRep/IGESToBRep_TopoSurface.cxx Diff ] File ]
mod - src/TKIGES/EXTERNLIB Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-08-19 19:14 Roman Lygin New Issue
2015-08-19 19:14 Roman Lygin Assigned To => gka
2015-08-19 19:25 git Note Added: 0044450
2015-08-19 19:25 Roman Lygin Status new => resolved
2015-08-20 10:32 gka Note Added: 0044455
2015-08-20 10:32 gka Assigned To gka => bugmaster
2015-08-20 10:32 gka Status resolved => reviewed
2015-08-20 15:54 mkv Assigned To bugmaster => mkv
2015-08-21 19:31 mkv Note Added: 0044519
2015-08-21 19:31 mkv Assigned To mkv => bugmaster
2015-08-21 19:31 mkv Status reviewed => tested
2015-08-26 11:18 abv Target Version 7.0.0 => 6.9.1
2015-08-27 17:48 mkv Test case number => Not needed
2015-08-28 11:44 ski Changeset attached => occt master 43d16da3
2015-08-28 11:44 ski Assigned To bugmaster => ski
2015-08-28 11:44 ski Status tested => verified
2015-08-28 11:44 ski Resolution open => fixed
2015-10-16 14:56 user533 Status verified => closed
2015-10-16 16:37 git Note Added: 0046992
2015-10-23 20:50 user533 Fixed in Version => 6.9.1


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker